<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\Relations\Pivot;

class FeedFeedSchedule extends Pivot
{
    public $incrementing = true;

    protected $table = 'feed_feed_schedule';

    protected $guarded = ['id'];

    public function feed(): BelongsTo
    {
        return $this->belongsTo(Feed::class);
    }

    public function feedSchedule(): BelongsTo
    {
        return $this->belongsTo(FeedSchedule::class);
    }
}
